/*
* Copyright (c) 京北方信息技术股份有限公司 Corporation 2022 . All rights reserved.
*
*/
package net.northking.cctp.dw.db.entity;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import javax.validation.constraints.Size;

import net.northking.cctp.common.db.POJO;

import java.util.List;


/**
 * 缺陷遗留及严重等级分布
 *
 * <p>文件内容由代码生成器产生，请不要手动修改！  <br>
 * createdate:  2022-01-21 10:29:37  <br>
 * @author:  maven-cctp-plugin  <br>
 * @since:  1.0 <br>
 */
@ApiModel(description = "缺陷遗留及严重等级分布")
public class BugLegacyGrade implements POJO
{
  public static final String KEY_id = "id";
  public static final String KEY_moduleId = "moduleId";
  public static final String KEY_gradeA = "gradeA";
  public static final String KEY_gradeB = "gradeB";
  public static final String KEY_gradeC = "gradeC";
  public static final String KEY_gradeD = "gradeD";
  public static final String KEY_gradeE = "gradeE";
  public static final String KEY_projectId = "projectId";
  public static final String KEY_tenantId = "tenantId";

  /**
   * <br>
   */
  @ApiModelProperty("")
  private Long id;
  /**
   * 模块<br>
   */
  @ApiModelProperty("模块")
  @Size(max = 50, message="模块-moduleId: 数据长度不能 > 50" )
  private String moduleId;
  /**
   * 致命性错误-A类<br>
   */
  @ApiModelProperty("致命性错误-A类")
  private Integer gradeA;
  /**
   * 严重性错误-B类<br>
   */
  @ApiModelProperty("严重性错误-B类")
  private Integer gradeB;
  /**
   * 一般性错误-C类<br>
   */
  @ApiModelProperty("一般性错误-C类")
  private Integer gradeC;
  /**
   * 警告性错误-D类<br>
   */
  @ApiModelProperty("警告性错误-D类")
  private Integer gradeD;
  /**
   * 建议性错误-E类<br>
   */
  @ApiModelProperty("建议性错误-E类")
  private Integer gradeE;
  /**
   * 系统id<br>
   */
  @ApiModelProperty("系统id")
  @Size(max = 50, message="系统id-projectId: 数据长度不能 > 50" )
  private String projectId;
  /**
   * 租户id<br>
   */
  @ApiModelProperty("租户id")
  @Size(max = 50, message="租户id-tenantId: 数据长度不能 > 50" )
  private String tenantId;

  private List<String> projectIds;

  public List<String> getProjectIds() {
    return projectIds;
  }

  public void setProjectIds(List<String> projectIds) {
    this.projectIds = projectIds;
  }

  /**
   * <br>
   */
  public Long getId()
  {
      return id;
    }

  /**
   * <br>
   *
   * @param id 
   */
  public void setId(Long id)
  {
      this.id = id;
    }
  /**
   * 模块<br>
   */
  public String getModuleId()
  {
      return moduleId;
    }

  /**
   * 模块<br>
   *
   * @param moduleId 模块
   */
  public void setModuleId(String moduleId)
  {
      this.moduleId = moduleId;
    }
  /**
   * 致命性错误-A类<br>
   */
  public Integer getGradeA()
  {
      return gradeA;
    }

  /**
   * 致命性错误-A类<br>
   *
   * @param gradeA 致命性错误-A类
   */
  public void setGradeA(Integer gradeA)
  {
      this.gradeA = gradeA;
    }
  /**
   * 严重性错误-B类<br>
   */
  public Integer getGradeB()
  {
      return gradeB;
    }

  /**
   * 严重性错误-B类<br>
   *
   * @param gradeB 严重性错误-B类
   */
  public void setGradeB(Integer gradeB)
  {
      this.gradeB = gradeB;
    }
  /**
   * 一般性错误-C类<br>
   */
  public Integer getGradeC()
  {
      return gradeC;
    }

  /**
   * 一般性错误-C类<br>
   *
   * @param gradeC 一般性错误-C类
   */
  public void setGradeC(Integer gradeC)
  {
      this.gradeC = gradeC;
    }
  /**
   * 警告性错误-D类<br>
   */
  public Integer getGradeD()
  {
      return gradeD;
    }

  /**
   * 警告性错误-D类<br>
   *
   * @param gradeD 警告性错误-D类
   */
  public void setGradeD(Integer gradeD)
  {
      this.gradeD = gradeD;
    }
  /**
   * 建议性错误-E类<br>
   */
  public Integer getGradeE()
  {
      return gradeE;
    }

  /**
   * 建议性错误-E类<br>
   *
   * @param gradeE 建议性错误-E类
   */
  public void setGradeE(Integer gradeE)
  {
      this.gradeE = gradeE;
    }
  /**
   * 系统id<br>
   */
  public String getProjectId()
  {
      return projectId;
    }

  /**
   * 系统id<br>
   *
   * @param projectId 系统id
   */
  public void setProjectId(String projectId)
  {
      this.projectId = projectId;
    }
  /**
   * 租户id<br>
   */
  public String getTenantId()
  {
      return tenantId;
    }

  /**
   * 租户id<br>
   *
   * @param tenantId 租户id
   */
  public void setTenantId(String tenantId)
  {
      this.tenantId = tenantId;
    }

  public BugLegacyGrade()
  {
  }

}
